%{?scl:%scl_package nodejs-defaults}
%{!?scl:%global pkg_name %{name}}

%global npm_name defaults
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		nodejs-defaults
Version:	1.0.2
Release:	3%{?dist}
Summary:	Merge single level defaults over a config object
Url:		https://github.com/tmpvar/defaults
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	MIT
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

BuildRequires:	npm(clone)

Requires:	npm(clone)

%description
Merge single level defaults over a config object

%prep
%setup -q -n package

%{nodejs_fixdep} clone

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
node test.js
%endif

%files
%{nodejs_sitelib}/defaults

%doc README.md
%license LICENSE

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.2-2
- Added %%nodejs_fixdep macro to fix failing dependency

* Fri May 22 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.2-1
- Rebuilt with new upstream release containing license text
- minor changes

* Tue Mar 17 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-3
- Added %%check, %%license, nodejs-clone dependency
- changed ExclusiveArch
- removed Group, BuildRoot and %%defattr
- fixed dependency on nodejs-packaging

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.0-2
- Initial build

